﻿/// <reference path="_namespace.js" />
/// <reference path="CompareResult.js"/>
/*****************************************************************************
Ajaxna library Interface definition.
Author: krobinson 10/8/2008 11:01:37 AM.
Class:  ajax.IComparable
*****************************************************************************/

$addNamespace("ajax");
//-----------------------------------------------------------------------------

ajax.IComparable = function(){}; // ctor should be blank.
$extend("ajax.IComparable", ""); // You may also inherit from another interface.
//-----------------------------------------------------------------------------

// Public members
//-----------------------------------------------------------------------------

// Public Methods
//-----------------------------------------------------------------------------
ajax.IComparable.prototype.compareTo = function(obj)
{///<sumary>Compares the current instance with another object of the same type and returns
 ///     an integer that indicates whether the current instance precedes, follows,
 ///     or occurs in the same position in the sort order as the other object. 
 ///</summary>
 ///<param name="obj" type="Object">An object to compare with this instance.</param>
 ///<returns type="ajax.CompareResult" integer="true">An integer that indicates the relative order of the objects
 ///     being compared. The return value has these meanings: Value Meaning Less than
 ///     zero This instance is less than obj. Zero This instance is equal to obj.
 ///     Greater than zero This instance is greater than obj.
 ///</returns>    
};

// Statics
//-----------------------------------------------------------------------------
ajax.IComparable.cast = function(obj)
{///<returns type="ajax.IComparable"/>
    return obj;
}