﻿// JScript File
/// <reference path="_namespace.js" />


/*****************************************************************************
Ajax library class definition. Kevin Robinson 2006.
Class: ajax.windows.WinFormDisplayFlags
/*****************************************************************************/


ajax.lang.addNamespace("ajax.windows");

ajax.windows.WinFormDisplayFlags = function()
{///<summary>An enumeration of available Display Types for an ajax.windows.WinForm</summary>
    ///<field name="None" type="number" integer="true" static="true"/>
    ///<field name="NoTitle" type="number" integer="true" static="true"/>
    ///<field name="NoChrome" type="number" integer="true" static="true"/>
    ///<field name="NoStatus" type="number" integer="true" static="true"/>
    ///<field name="NoResize" type="number" integer="true" static="true"/>
    ///<field name="NoMinimise" type="number" integer="true" static="true"/>
    ///<field name="NoMaximise" type="number" integer="true" static="true"/>
    ///<field name="NoClose" type="number" integer="true" static="true"/>
    ///<field name="NoDrag" type="number" integer="true" static="true"/>    
}

ajax.windows.WinFormDisplayFlags.prototype = 
{
    None: 0,
    NoTitle: 1,
    NoChrome: 2,
    NoStatus: 4,
    NoResize: 8,
    NoMinimise: 16,
    NoMaximise: 32,
    NoClose: 64,
    NoDrag: 128
};

ajax.lang.extendEnum("ajax.windows.WinFormDisplayFlags", true);