﻿/// <reference path="_namespace.js" />
/// <reference path="IShape.js" />
/// <reference path="../../BaseObject.js" />

/*****************************************************************************
Ajaxna library class definition. Inheriting from ajax.BaseObject.
Author: krobinson 10/11/2008 6:22:50 PM.
Class:  ajax.geometry.shapes.Shape
*****************************************************************************/

$addNamespace("ajax.geometry.shapes");
//-----------------------------------------------------------------------------

ajax.geometry.shapes.Shape = function()
{
    ajax.geometry.shapes.Shape.superConstructor.apply(this, arguments);
}
$extend("ajax.geometry.shapes.Shape", "ajax.BaseObject");
$supports("ajax.geometry.shapes.Shape", "ajax.geometry.shapes.IShape");
if ($getDesignMode())
    ajax.geometry.shapes.Shape.prototype = ajax.BaseObject.prototype;
//-----------------------------------------------------------------------------

// Public members
//-----------------------------------------------------------------------------


// Public Methods
//-----------------------------------------------------------------------------

// IShape Implementation
//-----------------------------------------------------------------------------
ajax.geometry.shapes.Shape.prototype.intersects = function(shape)
{///<summary>Override this method in your shape class.</summary>
 ///<returns type="boolean"/>
    return false;    
}

// Statics
//-----------------------------------------------------------------------------
ajax.geometry.shapes.Shape.cast = function(obj)
{///<returns type="ajax.geometry.shapes.Shape"/>
    return obj;
}