﻿/// <reference path="_namespace.js" />

/*****************************************************************************
Ajaxna library enum definition.
Author: krobinson 11/5/2008 8:43:34 AM.
Enum:  ajax.xna.framework.PlaneIntersectionType
*****************************************************************************/

$addNamespace("ajax.xna.framework.PlaneIntersectionType");
//-----------------------------------------------------------------------------

ajax.xna.framework.PlaneIntersectionType = function()
{///<field name="Front" type="number" integer="true" static="true">There is no intersection, and the bounding volume is in the positive half-space of the Plane.</field>
    ///<field name="Back" type="number" integer="true" static="true">There is no intersection, and the bounding volume is in the negative half-space of the Plane.</field>
    ///<field name="Intersecting" type="number" integer="true" static="true">The Plane is intersected.</field> 
}

ajax.xna.framework.PlaneIntersectionType.prototype =
{
    Front: 0,
    Back: 1,
    Intersecting: 2
}

ajax.lang.extendEnum("ajax.xna.framework.PlaneIntersectionType");